package com.cg.ejb3example;

import javax.naming.Context;

import com.cg.ejb3example.util.InitContextUtil;

public class TestMain {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		Ejb3ExamRemote bean = doLookup();
		System.out.println(bean.getInfos());
		
		System.out.println(bean.add(1, 2));
	}
	
	private static Ejb3ExamRemote doLookup(){
		Context context = null;
		Ejb3ExamRemote bean = null;
		try {
			context = InitContextUtil.getInitialContext();
			String lookupName = getLookupName();
			bean = (Ejb3ExamRemote)context.lookup(lookupName);
		} catch (Exception e) {
			e.printStackTrace();
		}
		return bean;
	}

	private static String getLookupName() {
		String appName = "";
		String moduleName = "Ejb3Example";
		String distinetName = "";
		String beanName = Ejb3Exam.class.getSimpleName();
		final String interfaceName = Ejb3ExamRemote.class.getName();
		String name = "ejb:" + appName + "/" + moduleName + "/" + distinetName + "/" + beanName + "!" + interfaceName;
		return name;
	}

}
