package com.cg.ejb3example.util;

import java.util.Properties;

import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;

public class InitContextUtil {

	private static Context initialContext ;
	private static final String PKG_INTERFACE="org.jboss.ejb.client.naming";
	
	public static Context getInitialContext() throws NamingException{
		if(initialContext ==null){
			Properties properties = new Properties();
			properties.put(Context.URL_PKG_PREFIXES, PKG_INTERFACE);
			initialContext = new InitialContext(properties);
		}
		return initialContext;
	}
	
}
